# Method: projects.locations.hardware.changeSubscription

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/changeSubscription#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/changeSubscription#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/changeSubscription#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/changeSubscription#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/changeSubscription#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/changeSubscription#body.aspect)
- [TermEndBehavior](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/changeSubscription#TermEndBehavior)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/1.12.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/changeSubscription#try-it)

Updates the subscription config for a hardware.

### HTTP request

`POST https://gdchardwaremanagement.googleapis.com/v1alpha/{name=projects/*/locations/*/hardware/*}:changeSubscription`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the hardware to update. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "termEndBehavior": enum (`https://docs.cloud.google.com/distributed-cloud/edge/1.12.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/changeSubscription#TermEndBehavior`) } ``` |

| Fields ||
|---|---|
| `termEndBehavior` | ``enum (`https://docs.cloud.google.com/distributed-cloud/edge/1.12.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/changeSubscription#TermEndBehavior`)`` Required. The behavior of the subscription at the end of the term. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/distributed-cloud/edge/1.12.0/docs/reference/hardware/rest/v1alpha/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## TermEndBehavior

The term end behavior of the subscription.

| Enums ||
|---|---|
| `TERM_END_BEHAVIOR_UNSPECIFIED` | Term end behavior is unspecified. |
| `TERMINATE_AT_TERM_END` | Term end behavior is TERMINATE_AT_TERM_END. |